FROM docker-registry.tools.wmflabs.org/python:3.11-slim-bookworm
RUN apt update && DEBIAN_FRONTEND=noninteractive apt install -y git curl jq python3-requests gcc && apt clean all
RUN pip install tox poetry pre-commit
ENV XDG_CACHE_HOME=/.cache
ENV GOPATH=${XDG_CACHE_HOME}/go
ENV PRE_COMMIT_HOME=${XDG_CACHE_HOME}/precommit
ENV GOCACHE=${XDG_CACHE_HOME}/gocache
COPY gather_precommit.py .
RUN mkdir -p /tmp/sillyrepo \
    && ./gather_precommit.py > /tmp/sillyrepo/.pre-commit-config.yaml \
    && cd /tmp/sillyrepo \
    && git init . \
    && pre-commit install-hooks \
    && chmod -R go+rwx ${XDG_CACHE_HOME}
